#include "RunAction.hh"
#include "ComplexGeometry.hh"

#include "G4Run.hh"
#include "G4RunManager.hh"


//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

RunAction::RunAction(ComplexGeometry* g) : geo(g)
{}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

RunAction::~RunAction()
{}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

void RunAction::BeginOfRunAction(const G4Run*)
{
  //const G4VUserDetectorConstruction* pointerToGeometry = G4RunManager::GetRunManager()->GetUserDetectorConstruction();
  G4cout << G4endl << "--- INFO --- The run is starting in a world physical volume called \"" << geo->GetPhysicalWorld()->GetName() << "\" ---" << G4endl << G4endl;
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

void RunAction::EndOfRunAction(const G4Run* aRun)
{ 
  G4cout << G4endl << "### INFO ### Run number " << aRun->GetRunID() << " has finished." << G4endl << G4endl;
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......



