#include "TrackingAction.hh"

#include "G4Track.hh"
#include "G4UnitsTable.hh"

void TrackingAction::PreUserTrackingAction(const G4Track* aTrack)
{
  G4cout << G4endl << "****** TRACK INFORMATION (PreUserTrackingAction) ******" << G4endl;
  G4cout << "PARTICLE: " << aTrack->GetDefinition()->GetParticleName() << G4endl;
  G4cout << "TRACK ID: " << aTrack->GetTrackID() << G4endl;
  G4cout << "PARENT ID: " << aTrack->GetParentID() << G4endl;
  G4cout << "TOTAL ENERGY: " << G4BestUnit(aTrack->GetTotalEnergy(), "Energy") << G4endl;
  G4cout << "KINETIC ENERGY: " << G4BestUnit(aTrack->GetKineticEnergy(), "Energy") << G4endl;
  G4cout << "VELOCITY: " << aTrack->GetVelocity() << G4endl;

}


void TrackingAction::PostUserTrackingAction(const G4Track* aTrack)
{
  G4cout << G4endl << "****** TRACK INFORMATION (PostUserTrackingAction) *****" << G4endl;
  
  // verify if next volume exist -> if it does not exist it means that the particle went out of the world volume 
  if(aTrack->GetNextVolume())
    G4cout << "VOLUME WHERE THE PARTICLE WAS KILLED: " << aTrack->GetTouchable()->GetVolume()->GetName() << G4endl << G4endl << G4endl;
  else
    G4cout << "THE PARTICLE WAS KILLED BECAUSE IT WENT OUT OF THE WORLD VOLUME" << G4endl << G4endl << G4endl;
}
